Bug 816869 - Review Request: perl-VMware-API-LabManager - VMware LabManager API
Review Request: perl-VMware-API-LabManager - VMware LabManager API
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 04:34 EDT by Petr Šabata
Modified: 2014-03-26 14:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 14:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2012-04-27 04:34:53 EDT
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-VMware-API-LabManager/perl-VMware-API-LabManager.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-VMware-API-LabManager/perl-VMware-API-LabManager-2.01-1.fc16.src.rpm
Description:
This module provides a Perl interface to VMware's Labmanager SOAP
interface. It has a one-to-one mapping for most of the commands exposed in
the external API as well as a many commands exposed in the internal API.
Comment 1 Marcela Mašláňová 2012-04-27 04:42:17 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint perl-VMware-API-LabManager-2.01-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-VMware-API-LabManager-2.01-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-VMware-API-LabManager-2.01-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/marca/Development/816869/VMware-API-LabManager-v2.01.tar.gz :
  MD5SUM this package     : 8967e3a3eb6b029fc73132fa0d7bfa01
  MD5SUM upstream package : 8967e3a3eb6b029fc73132fa0d7bfa01

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:

The license is not usable for us. It is Perl Artistic. Could you ask upstream to change it for Artistic 2.0 or Perl license (GPL+ or Artistic)?
Comment 2 Petr Šabata 2012-04-27 09:03:56 EDT
The CPAN module page says it's GPL+ or Artistic so I think this is just a wording issue.  I've asked upstream for clarification.
Comment 3 Marcela Mašláňová 2014-03-20 12:12:39 EDT
Ping? :) License verified?
Comment 4 Petr Šabata 2014-03-24 10:50:07 EDT
I haven't heard from upstream.

I see a new version is out and it still mentions "Perl Artistic 2.0" but points to regular Artistic 2.0 which is also attached.

This is really old.  I suggest you package the new version and I'll review the package again.
Comment 5 Marcela Mašláňová 2014-03-24 13:44:37 EDT
I? You were the packager :) If you are not interested any more, just close the review.
Comment 6 Petr Šabata 2014-03-26 14:56:52 EDT
Ah, right :)
Well, I'm not, really.

Note You need to log in before you can comment on or make changes to this bug.